Subject: bug#79047: Add some multi-character pairs to some major modes.

From: Stefan Monnier <[email-masked]>
Date: Fri, 25 Jul 2025 10:21:58 -0400

>> That's not anything new, and we have ways of handling these situations,
>> as Stefan pointed out, and as you can see in the source code.
> What Stefan suggested was no longer using self-insert-command.

I look at it as using `self-insert-command` *more*.

> That is hardly practical in CC Mode.

I don't see why not.  My best guess is that you find it inconvenient to
make the code work for Emacsen both with and without
`post-self-insert-hook`, but that seems easy enough to fix with
a (boundp 'post-self-insert-hook) or a version test.
[ Or even simpler by dropping support for Emacs<24, which recently
  turned 15, BTW. 🙂 ]

> I'm not happy about the state of c-electric-paren.

It should die and be replaced by the existing `electric-*-mode`s.

        Stefan